It is currently Wed May 23, 2018 4:34 pm

All times are UTC - 7 hours [ DST ]

Recent News:



Post new topic Reply to topic  [ 27 posts ]  Go to page 1, 2  Next
Author Message
PostPosted: Tue Apr 10, 2018 1:44 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
Hello,
I was recently provided a w10 terminal by my employer for working remote. It is running Win ver 1709 (OS build 16299.309).

The W10 terminal as with my hard wired W7-64 terminal is hardwired to the server thru an Asus RT-N66U. a wireless W7-64 laptop, and a wireless XP32 laptop is also on the WHS 32 bit network. The software version on the WHS is 3.3.1.35466 and is running on a EX490.

Windows Home Server Console: 6.0.2423.0
Windows Home Server Backup & Restore: 6.0.2423.0
Windows Home Server Drive Extender: 6.0.2423.0
Windows Home Server Remote Access: 6.0.3436.0
Windows Home Server Storage Manager: 6.0.3039.0

I have the WHS Connector_x64 application. When attempting the connector install with the WHSConnectorInstall application, the application will find the server, attempt to download the connector, but the installation fails within a few moments with a notice stating, "This operation cannot be completed at this time. Please try again later. If the problem persists, please contact Product Support."

I should also note that if I try to setup the connector using the setup application it fails stating "Unable to install .NET Framework 2.0"

Am I dead in the water on this or could anyone contribute a solution?


Top
 Profile  
Thanks  

Attention Guest: Remove this ad by Registering with the MediaSmartServer.net Forums. It's Free!
PostPosted: Tue Apr 10, 2018 3:32 pm 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
I have heard this story before.
For me I have other applications that install the net framework version for me.
Just do a search for NET Framework 2.0
And install it.
If you have a newer version it will just install another instance of it and it will work.
Side by side with any newer version you may have already installed.

There is another post here about the exact same issue but I am to lazy to look for it.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
The following user would like to thank Ruben Rocha for this post
lioninstreet
PostPosted: Tue Apr 10, 2018 6:43 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
I will give that a shot and post the results. Thanks Ruben


Top
 Profile  
Thanks  
PostPosted: Wed Apr 11, 2018 7:06 am 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
Here is the other post:
viewtopic.php?f=1&t=14603&p=105066&hilit=NET+Framework#p105066

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
PostPosted: Wed Apr 18, 2018 10:06 am 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
Hey Ruben,

Your memory serves better than mine. That link was actually to a thread I started back in January... :rofl:

Anyhow I took this one step further and instead of doing a side-by-side install, ended up simply turning on Net Framework 2.0 in Control Panel / Programs & Features using the following guide.

https://www.groovypost.com/howto/enable-net-framework-2-windows-8/

This got me past the Net Framework conflict but I'm still fighting the connector. When I try to install it using application 6.0.2423.0 (1078 kb) and the WHSConnector_x64 Windows Installer (14803kb), the server is located, the download begins, but immediately thereafter an error occurs stating the operation can not be completed, try again later, contact product support if the problem persists.

I have an earlier version of the connector 6.0.2030.0 (1049kb) that will install, permit me to enter the server password, join the server, but when it's configuring the backup I get a warning nagging me to upgrade to the newer 6.0.2423.0 application. Clicking next to permit this, the install finishes and I then get a windows pop up nagging me again to do the upgrade. I click on it, the server is located, but then the same error shows up, "try again later..."

I am able to log into the server console, can configure a new user account for the w10 terminal, view the shares, but the terminal doesn't show up in computers and backups tab of the console. I have even tried to uninstall the .2030.0 connector and do a clean install of the .2423.0 connector with no luck. I get the same error (try again later).

Another interesting note is that when viewing the installed programs thru the W10 control panel, the only thing that shows up is the connector (showing as 6.0.2030.2). The HP MediaSmart Server 3.0 Update1 (x64) that shows on my W7 terminal is not installed. Also I noticed that the installed connector on the w7 terminal (6.0.3436.0) is an even newer version than what is mentioned above. Also 6.0.3436.0 is showing what is installed on the server per my original post on this thread.

So I then logged directly into the server and went into C:/WHS but could only find the .2423.0 connector version. Any idea where the .3436.0 version would be located on the server itself so I can try removing .2030.0 and installing this .3436.0 version on the w10 terminal?..


Top
 Profile  
Thanks  
PostPosted: Wed Apr 18, 2018 12:31 pm 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
well i am using a win 10 home 64 and the version I see in the console is
Windows Home Server Console: 6.0.2423.0
The installed connector on my desktop is
6.0.34360.
It could be a hp update is your issue.

In the type here to search in the task bar type hp update.
Select the hp update app.
Also see if you have installed in the desktop
hp mediasmart server 3.0 update 1(x64) version 3.014.33080

Also when you uninstall you need to delete the hp software also.
It is usually 3 applications with x64.
Then try accessing the server to install the connector again.

Bear in mind when you delete the hp apps.
You will need to reinstall the connector a couple of times.
They may be out of sync at first.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
PostPosted: Wed Apr 18, 2018 3:27 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
Ruben Rocha wrote:
well i am using a win 10 home 64 and the version I see in the console is
Windows Home Server Console: 6.0.2423.0
The installed connector on my desktop is
6.0.34360.
It could be a hp update is your issue.

In the type here to search in the task bar type hp update.
Select the hp update app.
Also see if you have installed in the desktop
hp mediasmart server 3.0 update 1(x64) version 3.014.33080

Also when you uninstall you need to delete the hp software also.
It is usually 3 applications with x64.
Then try accessing the server to install the connector again.

Bear in mind when you delete the hp apps.
You will need to reinstall the connector a couple of times.
They may be out of sync at first.


Ruben, to your point that there are three programs to remove. Note that the w10 terminal will only install the Windows Home Server Connector 6.0.2030.0. It does not seem to be installing the HP Update or HP MediaSmart Server 3.0 Update 1 (x64) programs.

So it appears that on both your terminal and my W7 terminal, we have the same console and connector. Note that when I open the control panel / programs & features, the connector version on my w7 terminal shows 6.0.3436.0, the same as on the server version info (windows home server remote access version 6.0.3436.0). Also installed are the HP Update (4.000.011.006) & HP MediaSmart Server 3.0 Update 1 (x64) (3.0.14.33080) programs.

On the new W10 terminal, while the server console shows the same version as shown above, the remote access version also shows the same as above (6.0.3436.0). But the connector version on the terminals installed programs shows it is version 6.0.2030.0. Maybe it is not forward compatible?

Does any of that matter? I don't know. Bottom line is the only connector that will even begin the install process is 6.0.2030.0. It permits me to enter the server password, join the server, but when it's configuring the backup it fails.

I get a warning nagging me to upgrade to the newer 6.0.2423.0 application. When I uninstall and try to install the 6.0.2423 version, the server is located, but then immediately afterwards the same error shows up, "try again later..."

So because my w7-64 terminal works with 6.0.3436.0 (apparently the most recent WHS connector version??) maybe if I try to install that, it will work.

Does anyone have a copy of that connector? I haven't been able to locate it. Or if you have any other ideas, I'm sure open to suggestions...


Top
 Profile  
Thanks  
PostPosted: Thu Apr 19, 2018 7:15 am 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
You need the hp update to get the 64bit driver.
You stated that your employer supplied your terminal in a prior post I think.
If they did they may have locked it down.
Meaning that some things you can't do.
I have the hp update and hp mediasmart 3.0 update 1(x64) installed plus the windows home server connector on all my clients.
And I have a hp laptop on win 10 (x32)Home.
A homemade desktop with win 10(x64) home.
A homemade desktop with win 10(x64) pro
A dell xps with win 10 home ws (x32) but now (X64).
They all work fine with the connector.

If the server has like service pack 3 then that would be current and I would use the software on the server not the cd.
Because you need a connector that matches the server version.
I would not worry about the version # at this point in time.
As long as it matches the server is what counts.
Every update in years past changed the connector version.
You also need to delete all the apps on the desktop every time before you try again.
It will let you update it but sometimes it does not work.
If you can get the hp update on your pc . then manually run it. It is set to like every 30 days to prompt to run.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Last edited by Ruben Rocha on Thu Apr 19, 2018 12:06 pm, edited 1 time in total.

Top
 Profile  
Thanks  
PostPosted: Thu Apr 19, 2018 8:18 am 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
Another fyi.
It could be a bad drive causing the issue or the event logs are to large.
Filling up all the drive space for c: on the server.
It is only like 20gb.
Try a remote desktop connection.
If you have never done that.
In file explorer Select networks
Then right click and select Connect with remote desktop.
Login is user-Administrator password is your master password.

select event manager and clear all the logs.
You need to go to each type of event to get them all.

I hope you have the S.M.A.R.T add in.
That will show if you have a failing drive.
The console health indicator is useless.

Other than that You may need to perform a recovery but I would suggest that to be a last ditch effort due to not sure if all the microsoft and hp updates are still available.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
PostPosted: Thu Apr 19, 2018 3:54 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
Ruben Rocha wrote:
You need the hp update to get the 64bit driver.
You stated that your employer supplied your terminal in a prior post I think.
If they did they may have locked it down.
Meaning that some things you can't do.

I was given full administrator privileges since I'm remote and more or less know my way around the OS. And, I believe I have the 64bit driver. Isn't it the connector version 6.0.2423.0 (1078 kb)? At least that's what I started with when I connected my other 64bit terminals. Now they all show having 6.0.3436.0

Ruben Rocha wrote:
I have the hp update and hp mediasmart 3.0 update 1(x64) installed plus the windows home server connector on all my clients.
And I have a hp laptop on win 10 (x32)Home.
A homemade desktop with win 10(x64) home.
A homemade desktop with win 10(x64) pro
A dell xps with win 10 home ws (x32) but now (X64).
They all work fine with the connector.

Mine have all three of these programs as well, that is with the exception of this one w10 terminal that the earlier version connector wont install the two HP programs on

Ruben Rocha wrote:
If the server has like service pack 3 then that would be current and I would use the software on the server not the cd. Because you need a connector that matches the server version.
I would not worry about the version # at this point in time.
As long as it matches the server is what counts.
Every update in years past changed the connector version.

The MSS has WHS v1 pp3. The possible connector version conflict is actually what I am questioning. When I remote into the server to C:\WHS the connector.exe file I find is version 6.0.2423.0 (1078 kb).

This is the version that can locate the server but then crashes on that stubborn w10x64 terminal. When I check my other terminals as well as the server console, the version that is installed per control panel/programs & features is 6.0.3436.0. The server console in settings/recourses under WHS remote access also shows 6.0.3436.0.

Could you have a look in the same three locations on your server and W10 terminal and see what is there on yours? Id bet you find the same.

Ruben Rocha wrote:
You also need to delete all the apps on the desktop every time before you try again.
It will let you update it but sometimes it does not work. If you can get the hp update on your pc, then manually run it. It is set to like every 30 days to prompt to run.

I delete everything that get's installed by the connector.exe program including the registry entry's with Revo (that also works fine when upgrading the connector on my other terminals) when attempting the reinstall. I guess trying to find a copy of the 6.0.3436.0. connector to match what is on my other terminals/MSS is becoming a road block.

On the event logs, All drives are new 2gb 512 sector WD gold enterprise drives with less than 120 days use on them. Nevertheless, I will delete the logs.

I do have the SMART add-in. None of the drives are showing a pending failure, all are healty. I honestly think a recovery would be a mistake as I have other x64 terminals backing up properly. I'm leaning more towards the w10 x64 problem terminal with the 6.0.2030.0 connector possibly not being forward compatible with the 6.0.3436.0 remote access shown on the server console as well as all my other 64 and 32 bit terminals as the Windows HomeServer Connector in Control Panel/Programs & Features.

Unless I can come up with the exe file for 6.0.3436.0 (likely installed by HP update) I might be done...


Top
 Profile  
Thanks  
PostPosted: Fri Apr 20, 2018 10:44 am 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
Let me try deleting my connector and see where the actual files are going maybe I can copy them.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
PostPosted: Fri Apr 20, 2018 11:21 am 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
I just ran setup.exe from the server on a win 10 x64 with success
It starts with the hp x64 update then proceeds to the normal connector app.
When I deleted the apps.
the hp x64 update said the file was 3A84f32.msi But I can't seem to find it just yet.
Maybe it comes from hp site
here is the file structure on the server I used:


Attachments:
connector.png
connector.png [ 58.38 KiB | Viewed 320 times ]

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316
Top
 Profile  
Thanks  
PostPosted: Sat Apr 21, 2018 3:37 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
I've always installed the 6.0.2423.0 (1078 kb) connector by putting it and the associate files on a usb stick or dropping them on the desktop of the terminal I'm putting the connector on.

Are you using RDP to go into the server then C:\WHS\setup.exe. to do the setup?


Top
 Profile  
Thanks  
PostPosted: Sat Apr 21, 2018 3:46 pm 
Offline
Max Contributor
Max Contributor

Joined: Tue Jan 05, 2010 9:29 am
Posts: 1124
Thanks: 4
Thanked: 143 times in 142 posts
No,
I only use the cd after a recovery the first time around.
After the updates I run:
File explorer from the desktop and navigate to Networks then server then the software/Home server connector folder.
And run setup.exe from there.
Works fine for me every time.

_________________
EX-490
WHS v1
VGA/PS2 Keyboard/PS2 Mouse/Serial debug board
Q9450s CPU
Stock Ram
ESATA Sansdigital Towerraid TR5M-B
Popcorn C-200
Popcorn A-200
Dune HD Connect
Rasberry PI OSMC(KODI)
ReadyNAs RN316


Top
 Profile  
Thanks  
PostPosted: Sat Apr 21, 2018 3:49 pm 
Offline
1.5TB storage
1.5TB storage

Joined: Sun May 19, 2013 9:40 pm
Posts: 52
Thanks: 11
Thanked: 0 time in 0 post
Stupid question then..

If the terminal I want to install the connector has not been networked to the server, how would one use this method?


Top
 Profile  
Thanks  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 27 posts ]  Go to page 1, 2  Next

All times are UTC - 7 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group